# explicit_data_connectors_refactored.py
# After program to demonstrate using functions as explicit data connectors


def main():
    list_of_lists = get_list_of_lists()
    count = 0
    for int_list in list_of_lists:
        count += 1
        ints_sum = calculate_sum(int_list)
        ints_product = calculate_product(int_list)
        print('listno =', count, 'sum =', ints_sum, 'product =', ints_product)


def get_list_of_lists():
    infile_name = 'raw_integer_values_file.txt'
    infile = open(infile_name, 'r', encoding='utf-8')

    the_list_of_lists = []
    for line in infile:
        list_of_string_values = line.split()
        list_of_int_values = []
        for string in list_of_string_values:
            list_of_int_values.append(int(string))
        the_list_of_lists.append(list_of_int_values)
    return the_list_of_lists


def calculate_sum(a_list_of_ints):
    answer = 0
    for value in a_list_of_ints:
        answer += value
    return answer


def calculate_product(a_list_of_ints):
    answer = 1
    for value in a_list_of_ints:
        answer *= value
    return answer


main()
